import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from "@angular/platform-browser/animations";
import { NgModule } from '@angular/core';

import { HttpClientModule } from '@angular/common/http';

import {
    Routes,
    RouterModule
} from '@angular/router';

import {
    MatInputModule,
    MatListModule,
    MatPaginatorModule,
    MatProgressSpinnerModule,
    MatSidenavModule,
    MatSortModule,
    MatToolbarModule,
    MatTableModule
} from '@angular/material';

import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatMenuModule } from '@angular/material/menu';

import { FlexLayoutModule } from "@angular/flex-layout";

import { AppComponent } from './app.component';
import { QuotesComponent } from './quotes/quotes.component';
import { QuotesService } from './services/quotes.service';


const routes: Routes = [
    { path: '', component: QuotesComponent },
    { path: '**', redirectTo: '/' }
];

@NgModule({
    declarations: [
        AppComponent,
        QuotesComponent
    ],
    imports: [
        BrowserModule,
        BrowserAnimationsModule,
        HttpClientModule,
        FlexLayoutModule,
        MatButtonModule,
        MatIconModule,
        MatInputModule,
        MatListModule,
        MatMenuModule,
        MatPaginatorModule,
        MatProgressSpinnerModule,
        MatSidenavModule,
        MatSortModule,
        MatToolbarModule,
        MatTableModule,
        RouterModule.forRoot(routes)
    ],
    providers: [ QuotesService ],
    bootstrap: [ AppComponent ]
})
export class AppModule { }
